@font-face {
  font-family: "IRANSansX";
  src: url("/blog/public/fonts/IRANSansX-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "IRANSansX";
  src: url("/blog/public/fonts/IRANSansX-Medium.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "IRANSansX";
  src: url("/blog/public/fonts/IRANSansX-DemiBold.woff2") format("woff2");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "IRANSansX";
  src: url("/blog/public/fonts/IRANSansX-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "IRANSansX";
  src: url("/blog/public/fonts/IRANSansX-ExtraBold.woff2") format("woff2");
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

:root {
  --app-font-family: "IRANSansX";
}

html,
body,
button,
input,
textarea,
select,
option,
label,
a,
p,
span,
li,
div,
small,
strong,
em,
blockquote,
figcaption,
summary,
th,
td,
dt,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
code,
pre,
kbd,
samp,
svg text {
  font-family: var(--app-font-family) !important;
}
